package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProDeptDAO;
import com.philisense.www.mapper.ProDeptMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public class ProDeptDAOImpl implements ProDeptDAO {
    @Autowired
    private ProDeptMapper proDeptMapper;

    @Override
    public int deleteByPrimaryKey(String id) {
        return proDeptMapper.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return proDeptMapper.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return proDeptMapper.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return proDeptMapper.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return proDeptMapper.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return proDeptMapper.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return proDeptMapper.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return proDeptMapper.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return proDeptMapper.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return proDeptMapper.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        proDeptMapper.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        proDeptMapper.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        proDeptMapper.updateBatch(list);
    }

    @Override
    public List<Map<String, Object>> getProDeptTreeByParentid(Map<String, Object> map) {
        return proDeptMapper.getProDeptTreeByParentid(map);
    }

    @Override
    public List<Map<String, Object>> getProDeptTreeByLevelCode(Map<String, Object> map) {
        return proDeptMapper.getProDeptTreeByLevelCode(map);
    }

    @Override
    public List<Map<String, Object>> getPageProUserByDeptCode(Map<String, Object> map) {
        return proDeptMapper.getPageProUserByDeptCode(map);
    }

    @Override
    public int getCountProUserByDeptCode(Map<String, Object> map) {
        return proDeptMapper.getCountProUserByDeptCode(map);
    }

    @Override
    public int updateDropNode(Map<String, Object> map) {
        return proDeptMapper.updateDropNode(map);
    }

    @Override
    public void updateBatchLevelCode(Map<String, Object> map) {
        proDeptMapper.updateBatchLevelCode(map);
    }
}
